/*
 * IM/Mew installer  on  Mule for Windows/Meadow/NTEmacs/XEmacs
 *
 *    Environments.
 *
 *                    Copyright (C) 1997-1999 Shuichi Kitaguchi
 */

#ifndef __ENV_H__
#define __ENV_H__


/**** definitions ****/

#define EMACS_NONE          127	/* No Emacs */
#define EMACS_MEADOW          0	/* Meadow */
#define EMACS_EMACS           1 /* NTEmacs */
#define EMACS_MULE            2 /* Mule for Windows */
#define EMACS_XEMACS          3 /* XEmacs */


#define PERL_SUBKEY           "SOFTWARE\\Mew\\Perl"
#define PERL_SUBKEY_BIN       "bin"
#define PERL_SUBKEY_LIB       "lib"


#define PWAGENT_MUTEX_NAME    "Password_Agent_for_Win32"
#define PWAGENT_PORT          6543


/**** variables ****/
extern char  szHomePath[MAX_PATH];
extern char  szConfPath[MAX_PATH];
extern char  szConfFile[MAX_PATH];

extern char  bEmacsType;
extern char  szEmacs[MAX_PATH];
extern char  szEmacsPath[MAX_PATH];
extern char  szEmacsLoadPath[MAX_PATH];
extern char  szInfoPath[MAX_PATH];
extern BOOL  fSiteLisp;
extern char  szMeadowVersion[16];

extern char  szPerl[MAX_PATH];
extern char  szPerlDir[MAX_PATH];
extern char  szPerlBin[MAX_PATH];
extern char  szPerlLib[MAX_PATH];


/**** functions ****/
BOOL ReadConfig( LPCSTR, LPSTR, DWORD );
BOOL PrintEnvironments( VOID );
BOOL PrintEmacsEnvironments( VOID );
BOOL PrintPerlEnvironments( VOID );
BOOL ReadEnvironments( VOID );
BOOL ReadEmacsEnvironments( LPCSTR );
BOOL ReadPerlEnvironments( LPCSTR );



#endif
