/*
 * IM/Mew installer  on  Mule for Win32/Meadow/NTEmacs/XEmacs
 *
 *    Common Header.
 *
 *                    Copyright (C) 1997-1999 Shuichi Kitaguchi
 */

#ifndef __COMMON_H__
#define __COMMON_H__



/**** definitions ****/

#define LANGID_JAPANESE (MAKELANGID(LANG_JAPANESE,SUBLANG_DEFAULT))

#define BUFLEN   4096		/* ok? */


/**** variables ****/
extern BOOL  fOutputDebug;
extern BOOL  fOutputLog;
extern BOOL  fOutputLogTime;
extern char  szLogFileName[MAX_PATH];
extern DWORD dwOutputLogSizeMax;
extern char  szCrCode[4];
extern BOOL  fOutputQuiet;

extern OSVERSIONINFO VersionInfo;
extern LANGID        langId;


/**** functions ****/
/* logging */
/*               name    log   logtime debug size  quiet */
BOOL SetLogMode( LPCSTR, BOOL, BOOL,   BOOL, DWORD, BOOL );
BOOL OutputLog( LPCSTR );
BOOL OutputDebugLog( LPCSTR );

/* misc */
BOOL SetEOLCode( LPCSTR );
BOOL ReadLines( LPSTR, DWORD, BOOL );
BOOL GetFileNameFromFullPath( LPCSTR, LPSTR, DWORD );
BOOL GetDirectoryNameFromFullPath( LPCSTR, LPSTR, DWORD );
BOOL GetModulePath( LPSTR, DWORD );
BOOL RevConvertPathSeparator( LPSTR );
BOOL ConvertPathSeparator( LPSTR );
BOOL CheckFile( LPCSTR );
BOOL CheckDirectory( LPCSTR );
VOID ReplaceString( LPSTR, LPCSTR, LPSTR );
int  BilMessageBox( HWND, LPCTSTR, LPCTSTR, LPCTSTR, UINT );
BOOL GetEnvironments( VOID );

#define BilErrorMessageBox( lpEnText, lpJpText ) \
BilMessageBox( NULL, lpEnText, lpJpText, "Error", \
	       MB_OK|MB_SETFOREGROUND|MB_ICONERROR );
#define BilWarnMessageBox( lpEnText, lpJpText ) \
BilMessageBox( NULL, lpEnText, lpJpText, "Information", \
	       MB_OK|MB_SETFOREGROUND|MB_ICONWARNING );
#define BilInfoMessageBox( lpEnText, lpJpText ) \
BilMessageBox( NULL, lpEnText, lpJpText, "Information", \
	       MB_OK|MB_SETFOREGROUND|MB_ICONINFORMATION );



#endif
